# ff-admin-webapi-client

FF Admin Webapi Client ist ein NPM-Package, welches die Verbindung zu einem FF Admin-Server vereinfacht.

Zur Verfügung gestellt werden Requests mit den benötigten Models, Types und Enums für FF Admin.

Der WebApiClient realisiert den automatischen refresh von Zugangs-Tokens.

Beispiele:\
1. Verwendung des Clients:
``` ts
import { WebApiClient, AdminRequests } from "@ff-admin/webapi-client"

let myClient = new WebApiClient({ 
  serverAdress: "", 
  webapiToken: "" 
});

let data = AdminRequests.MemberRequests.getAllMembers(myClient)
  .then((res) => {
    console.log(res)
  })
  .catch((err) => {
    console.log(err)
  })

let newMemberId = AdminRequests.MemberRequests.updateMember(myClient, {
    body: {
      salutationId: 0,
      firstname: "",
      lastname: "",
      nameaffix: "",
      birthdate: new Date("")
    }
  })
    .then(() => {})
    .catch(() => {});

AdminRequests.MemberRequests.updateMember(myClient, {
  params: { id: "123" },
  body: {
    salutationId: 0,
    firstname: "",
    lastname: "",
    nameaffix: "",
    birthdate: new Date(""),
  },
})
  .then(() => {})
  .catch(() => {});
```

2. Zugriff auf Typen, Models und Enums:
``` ts
import { AdminModels, AdminTypes, AdminEnums } from "@ff-admin/webapi-client"

let model: AdminModels.MemberModels.CreateMemberViewModel;
let type: AdminTypes.DynamicQueries.DynamicQueryStructure
let enum = AdminEnums.NewsletterType.NewsletterConfigType.mail
```